<?php
if (!defined('POLISTATUS') || !POLISTATUS)
    exit('No direct script access allowed');
$command = $command ?? $_GET['command'] ?? null;
$location = $location ?? $_GET['location'] ?? null;

$permission = "yes";
$status = "fail";
$message = "Permission Denied. Probably command not available or supported.";
$result = "";

include_once 'config/config.php';
If($location == "Initiator") {
    $message = "Public";
}
myLog("Starting actions");
myLog("Status: $status");
myLog("Command: $command");
myLog($message);
if ($status != "bad") {
    if ($command == 'login') {
        include 'actions/account/login.php';
    } elseif ($command == 'signup') {
        include 'actions/account/signup.php';
    } elseif ($command == 'verification') {
        include 'actions/account/verification.php';
    } elseif ($command == 'resetPassword' || $command == 'reset') {
        include 'actions/account/reset.php';
    } elseif ($command == 'add' || $command == 'update' || $command == 'delete' || $command == 'get' || $command == 'increment') {
        include 'config/rules.php';
        include 'actions/db/'.$command.'.php';
    } elseif ($command == 'logout') {
        include 'actions/account/logout.php';
    } elseif ($command == 'image') {
        include 'actions/file/image.php';
    } elseif ($command == 'upload') {
        include 'actions/file/upload.php';
    } elseif ($command == 'site_content') {
        include 'website-content/'.$location;
    } else {
        $status = "bad";
        $message = "Command not found";
    }
}

if ($command != 'site_content' && $command != 'upload') {
    $finish = array();
    if ($permission == "yes") {
        if ($status == "success") {
            $finish = array(
                "status" => "success",
                "result" => $result,
                "message" => $message
            );
        } else if ($status == "warn") {
            $finish = array(
                "status" => "warn",
                "result" => $result,
                "message" => $message
            );
        } else if ($status == 'bad') {
            $finish = array(
                "status" => "bad",
                "result" => $result,
                "message" => $message
            );
        } else if ($status == 'fail') {
            $finish = array(
                "status" => "fail",
                "message" => $message
            );
        }
    } else {
        $finish = array(
            "status" => "fail",
            "message" => $message
        );
    }
    if (!empty($platform)) {
        if ($platform == "web") {
            $response = $finish;
        } else {
            echo json_encode($finish);
        }
    } else {
        echo json_encode($finish);
    }
}