<?php
if (!defined('POLISTATUS') || !POLISTATUS)
    exit('No direct script access allowed');
$additional = $additional ?? $_GET['extra'] ?? '';
$id = $id ?? $_GET['id'] ?? null;
$location = $location ?? $_GET['location'] ?? null;
$userId = $userId ?? $_GET['userId'] ?? null;
$where = $where ?? $_GET['where'] ?? null;
$whereValue = $whereValue ?? $_GET['whereValue'] ?? '';
$orderBy = $_GET['orderBy'] ?? $orderBy ?? "ORDER BY `$location`.`timeStamp` DESC";
$type = $type ?? $_GET['type'] ?? "collection";
$admin = $admin ?? false;
$content = $content ?? "*";
$permission = $permission ?? 'no';

if ($id == 'userId') {
    $id = $userId;
}
if ($whereValue == 'userId') {
    $whereValue = $userId;
}
if ($type == 'collection') {
    if ($permission == "yes") {
        if ($location == 'Bulk') {
            include 'actions/db/bulk.php';
        } else {
            $tds = false;
            if ($additional == "tds") {
                myLog("TDS: True <br>");
                $tds = true;
                $additional = "";
            }
            if ($where == 'all') {
                $dbResult = runSql("SELECT $content FROM `$location` $additional $orderBy");
                if (mysqli_num_rows($dbResult) > 0) {
                    $result = [];
                    while ($row = mysqli_fetch_assoc($dbResult)) {
                        if ($tds) {
                            $user = runSql("SELECT * FROM `Users` WHERE `Users`.`id` = '".$row['id']."'")->fetch_assoc();
                            $row['userName'] = $user['firstName']." ".$user['lastName'];
                            $row['username'] = $user['username'];
                            $row['totalEarnings'] = $user['totalEarnings'];
                            $row['phone'] = $user['phone'];
                            $row['email'] = $user['email'];
                            $orders = runSql("SELECT * FROM `Orders` WHERE `Orders`.`userId` = '".$row['id']."' AND `Orders`.`status` = 'Payment Released'");
                            for ($i = 0; $i < mysqli_num_rows($orders); $i++) {
                                $row['totalEarnings'] += $orders->fetch_assoc()[$i]['commission'];
                            }
                        }
                        $result[] = $row;
                    }
                    $status = "success";
                } else {
                    $status = "warn";
                    $message = "No entries found in table";
                }
            } else {
                $condition = "";
                if (str_contains($where, '||') || str_contains($where, '|/')) {
                    while (str_contains($where, '||') || str_contains($where, '|/')) {
                        $and = strpos($where, '||');
                        if ($and === false) {
                            $and = strlen($where);
                        }
                        $or = strpos($where, '|/');
                        if ($or === false) {
                            $or = strlen($where);
                        }
                        if ($and < $or) {
                            $posWhere = strpos($where, '||');
                            $posWhereValue = strpos($whereValue, '||');
                            $condition .= substr($where, 0, $posWhere) . " = '" . substr($whereValue, 0, $posWhereValue) . "'";
                            $where = substr($where, $posWhere + 2);
                            $whereValue = substr($whereValue, $posWhereValue + 2);
                            if (str_contains($where, '||') || str_contains($where, '|/')) {
                                $condition .= " AND ";
                            } else {
                                $condition .= " AND $where = '$whereValue'";
                            }
                        } else {
                            $posWhere = strpos($where, '|/');
                            $posWhereValue = strpos($whereValue, '|/');
                            $condition .= substr($where, 0, $posWhere) . " = '" . substr($whereValue, 0, $posWhereValue) . "'";
                            $where = substr($where, $posWhere + 2);
                            $whereValue = substr($whereValue, $posWhereValue + 2);
                            if (str_contains($where, '||') || str_contains($where, '|/')) {
                                $condition .= " OR ";
                            } else {
                                $condition .= " OR $where = '$whereValue'";
                            }
                        }
                    }
                } else {
                    $condition = "$where = '$whereValue'";
                }
                $dbResult = runSql("SELECT $content FROM `$location` WHERE $condition $additional $orderBy");
                if (mysqli_num_rows($dbResult) > 0) {
                    $rows = mysqli_fetch_object($dbResult);
                    $result = array();
                    $x = 1;
                    $result[0] = $rows;
                    while ($row = $dbResult->fetch_assoc()) {
                        $result[$x] = $row;
                        $x++;
                    }
                    $status = "success";
                } else {
                    $status = "warn";
                    $message = "Specified entries not found in table";
                }
            }
        }
    }
} elseif ($type == 'document') {
    if ($permission == "yes") {
        $get_collection = runSql("SELECT $content FROM `$location` WHERE id='$id'");
        if (mysqli_num_rows($get_collection) > 0) {
            $result = mysqli_fetch_object($get_collection);
            $status = "success";
            if (!$admin) {
                if ($location == "Address") {
                    myLog($result->name_address);
                }
            }
        } else {
            if ($location == 'Payment') {
                $create_payment = runSql("INSERT INTO `Payment` (id) VALUES ('$userId')");
                if ($create_payment === TRUE) {
                    myLog("Payment created");
                    $get_payment = runSql("SELECT $content FROM `$location` WHERE id='$id'");
                    if (mysqli_num_rows($get_payment) > 0) {
                        $result = mysqli_fetch_object($get_payment);
                        $status = "success";
                    } else {
                        $status = "fail";
                        $message = "Entry not found in table 1";
                    }
                } else {
                    $status = "fail";
                    $message = "Entry not found in table 2";
                }
            } else {
                $status = "fail";
                $message = "Entry not found in table 3";
            }
        }
    }
}