<?php
if (!defined('POLISTATUS') || !POLISTATUS)
    exit('No direct script access allowed');
$authId = $authId ?? $_GET['authId'] ?? null;
$username = $username ?? $_GET['username'] ?? null;
$email = $email ?? $_GET['email'] ?? null;
// Sql Config
$servername = "*********";
$dbusername = "*********";
$dbpassword = "*********";
$dbname = "*********";
$conn = new mysqli($servername, $dbusername, $dbpassword, $dbname);
include_once 'config/functions.php';

if ($conn->connect_error) {
    echo json_encode(array(
        "status" => "fail",
        "message" => "Connection to DB failed"
    ));
}

// Configuring user
$userId = null;
$config = true;
$maintenance = false;
if ($username != null && $authId != null) {
    $sql = "";
    myLog("Finding userId");
    $findUserId = runSql("SELECT id, email FROM Users WHERE `username` = '$username'");
    if (mysqli_num_rows($findUserId) > 0) {
        myLog("Found user");
        $row = $findUserId->fetch_assoc();
        $userId = $row['id'];
        $email = $row['email'];
        myLog("Set userId $userId");
    } else {
        myLog("Failed to find user");
    }
}
$loggedIn = false;
$admin = false;
$dealer = false;
if ($userId != null) {
    myLog("Finding authId");
    $authIds = runSql("SELECT authid FROM AuthIds WHERE `userid`='$userId'");
    if (mysqli_num_rows($authIds) > 0) {
        myLog("Found authIds with userId: $userId");
        while($row = $authIds->fetch_assoc()) {
            if($row['authid'] == $authId) {
                $loggedIn = true;
                myLog("AuthId match ".$row['authid']);
                myLog("Set logged in");
            }
        }
    }
    myLog("Checking if user is admin or dealer");
    $adminStatus = runSql("SELECT admin, dealer FROM Users WHERE `id`='$userId'");
    if (mysqli_num_rows($adminStatus) > 0) {
        myLog("Found admin status");
        $row = $adminStatus->fetch_assoc();
        $adminStatus = $row['admin'];
        $dealerStatus = $row['dealer'];
        if($adminStatus == "true") {
            $admin = true;
            myLog("admin true");
        }
        if ($dealerStatus == 'true') {
            $dealer = true;
            myLog("dealer true");
        }
    }
} else {
    $config = false;
    $message = "No Username";
    myLog("Config false, No user");
}
if (!$loggedIn) {
    $config = false;
    $admin = false;
    $dealer = false;
    if ($username != null && $username != "null") {
        $message = "AuthId not found";
    }
    myLog("Config false, No authId");
    myLog($message);
}

if (!$admin) {
    myLog("admin false");
}

if (!$dealer) {
    myLog("dealer false");
}

if(!$admin) {
    myLog("Checking maintenance status");
    $maintenanceStatus = runSql("SELECT * FROM Initiator WHERE `type`='maintenance'");
    if (mysqli_num_rows($maintenanceStatus) > 0) {
        myLog("Found maintenance status");
        $row = $maintenanceStatus->fetch_assoc();
        $maintenanceStatus = $row['status'];
        if ($maintenanceStatus == "true") {
            myLog("Server under maintenance");
            $status = "bad";
            $result = json_encode(array(
                "reason" => "maintenance",
                "noticeTitle" => $row['noticeTitle'],
                "notice" => $row['notice']
            ));
            $maintenance = true;
        }
    }
}
$date = new DateTime();
$timezone = new DateTimeZone('Asia/Kolkata');
$date->setTimezone($timezone);
$today = $date->format('Y-m-d-H-i-s');
if (file_exists("error_log")) {
    rename("error_log","log/error/$today.txt");
}