<?php
if (!defined('POLISTATUS') || !POLISTATUS)
    exit('No direct script access allowed');
$additional = $additional ?? $_GET['extra'] ?? '';
$command = $command ?? $_GET['command'] ?? null;
$id = $id ?? $_GET['id'] ?? null;
$location = $location ?? $_GET['location'] ?? null;
$type = $type ?? $_GET['type'] ?? null;
$username = $username ?? $_GET['username'] ?? null;
$values = $values ?? $_GET['values'] ?? null;
$where = $where ?? $_GET['where'] ?? null;
$whereValue = $whereValue ?? $_GET['whereValue'] ?? null;
$admin = $admin ?? null;
$config = $config ?? false;
$dealer = $dealer ?? false;
$userId = $userId ?? null;
$permission = "no";

if ($id == 'userId') {
    $id = $userId;
}
if ($whereValue == 'userId') {
    $whereValue = $userId;
}

function admin(): void {
    global $admin;
    global $permission;
    if ($admin) {
        $permission = "yes";
        myLog("Admin permission granted");
    }
}
function dealer(): void {
    global $dealer;
    global $permission;
    if ($dealer) {
        $permission = "yes";
        myLog("Dealer permission granted");
    }
}
function user(): void {
    global $type;
    global $command;
    global $id;
    global $where;
    global $whereValue;
    global $userId;
    global $permission;
    global $location;
    if ($type == "collection") {
        if ($where == "userId" && $whereValue == $userId) {
            $permission = "yes";
            myLog("User permission granted");
        }
    } elseif ($command == 'update' || $command == 'delete' || $command == 'get' || $command == 'increment') {
        $findUserId = runSql("SELECT userId FROM $location WHERE id = '$id'");
        if ($userId == $findUserId->fetch_assoc()["userId"]) {
            $permission = "yes";
            myLog("User permission granted");
        }

    }
}
function permit(): void {
    global $permission;
    $permission = "yes";
    myLog("Permission granted");
}
if ($location == 'Address') {
    if ($command == 'add' || $command == 'update' || $command == 'delete') {
        admin();
    }
    if ($type == 'collection') {
        admin();
    }
    if ($command == 'get') {
        permit();
    }
}
if ($location == 'Archive') {
    if ($config) {
        if ($command == 'add' || $command == 'update' || $command == 'delete') {
            admin();
        }
        if ($command == 'get') {
            permit();
        }
    }
}
if ($location == 'AuthIds') {
    if ($config) {
        if ($type == 'collection' || $command == 'delete') {
            user();
        }
    }
}
if ($location == 'Buckets') {
    admin();
}
if ($location == 'Bulk') {
    admin();
}
if ($location == 'Coupons') {
    if ($config) {
        if ($command == 'add') {
            admin();
            dealer();
        }
        if ($command == 'increment') {
            if ($dealer) {
                $coupon = runSql("SELECT * FROM `Coupons` WHERE `Coupons`.`id` = '$id'");
                if (mysqli_num_rows($coupon) > 0) {
                    $row = mysqli_fetch_assoc($coupon);
                    if ($row['userId'] == $userId) {
                        permit();
                    } else {
                        $message = "Coupon belongs with another seller";
                    }
                } else {
                    $message = "Could not find coupon details to update coupon";
                }
                permit();
            }
            if ($admin == true) {
                permit();
            }
        }
        if ($command == 'update') {
            if ($dealer) {
                user();
            }
            admin();
        }
        if ($command == 'delete') {
            if ($dealer) {
                user();
            }
            admin();
        }
    }
    if ($type == 'collection') {
        permit();
        if (!$admin) {
            if ($where == 'all') {
                $additional .= " WHERE";
            } else {
                $additional .= " AND";
            }
            if (!$dealer) {
                $additional .= " (`currentQuantity` != 'quantity' AND `enabled` = 'true')";
            } else {
                $additional .= " ((`currentQuantity` != 'quantity' AND `enabled` = 'true') OR `userId` = '$userId')";
            }
        }
    }
    if ($command == 'get') {
        permit();
    }
}
if ($location == 'CouponsOrders') {
    if ($config) {
        if ($command == 'add') {
            if ($values['type'] == "buy") {
                $coupon = runSql("SELECT * FROM `Coupons` WHERE `Coupons`.`id` = '$values[couponId]'");
                if (mysqli_num_rows($coupon) > 0) {
                    $coupon = mysqli_fetch_assoc($coupon);
                    if ($coupon['currentQuantity'] < $coupon['quantity']) {
                        $sql = "UPDATE `Coupons` SET `currentQuantity` = currentQuantity+1 WHERE `Coupons`.`id` = '$values[couponId]'";
                        if ($log == "true") {
                            echo "$sql<br>";
                        }
                        if ($conn->query($sql) === TRUE) {
                            if ($log == "true") {
                                echo "updated q<br>";
                            }
                            $values['status'] = "Initiated";
                            $sql = "SELECT id FROM `CouponsOrders`";
                            if ($log == "true") {
                                echo "$sql<br>";
                            }
                            $idsResult = mysqli_query($conn, $sql);
                            if ($log == "true") {
                                echo "sql success<br>";
                            }
                            $ids = array();
                            $head = "IZCP" . date("dm");
                            $num = 1111;
                            $gen = $head . $num;
                            if (mysqli_num_rows($idsResult) > 0) {
                                if ($log == "true") {
                                    echo "ids available success haha<br>";
                                }
                                $x = 0;
                                while ($row = $idsResult->fetch_assoc()) {
                                    $ids[$x] = $row['id'];
                                    if ($log == "true") {
                                        echo "$row[id]<br>";
                                    }
                                    $x++;
                                }
                                if ($log == "true") {
                                    echo "$gen and ids is $ids<br>";
                                    echo json_encode($ids);
                                    echo "<br>";
                                }
                                while (in_array($gen, $ids)) {
                                    if ($log == "true") {
                                        echo "in ids<br>";
                                    }
                                    $num++;
                                    $gen = $head . $num;
                                    if ($log == "true") {
                                        echo "$gen<br>";
                                    }
                                }
                                $values['id'] = $gen;
                                if ($log == "true") {
                                    echo "$gen<br>";
                                }
                                permit();
                                $title = "Coupon buying request";
                                $body = "Your \"" . $coupon['name'] . "\" of " . $coupon['denomination'] . " coupon got a buying request";
                                $sql = "SELECT authid, firebase_token FROM AuthIds WHERE `userId`='".$values['sellerId']."'";
                                $authIds = $conn->query($sql);
                                if (mysqli_num_rows($authIds) > 0) {
                                    while($authId = $authIds->fetch_assoc()) {
                                        saveLog("sendTo authId: " . $authId['authid']);
                                        sendNotification($title, $body, ['location' => 'coupon', 'person' => 'dealer', 'type' => 'buy', 'id' => $gen],$authId['firebase_token']);
                                        if ($coupon['currentQuantity'] - $coupon['quantity'] == 1) {
                                            $title = "Coupon quantity finished";
                                            $body = "Your \"" . $coupon['name'] . "\" of " . $coupon['denomination'] . " coupon quantity is finished. Update quantity to recieve more orders.";
                                            saveLog("sendTo authId: " . $authId['authid']);
                                            sendNotification($title, $body, ['location' => 'coupon_main', 'person' => 'dealer', 'type' => 'buy', 'id' => $coupon['id']],$authId['firebase_token']);
                                        }
                                        myLog("Notification sent to ".$authId['authid']." with title '".$title."' and body '".$body."' and token ".$authId['firebase_token']);
                                    }
                                } else {
                                    $status = "fail";
                                    if ($log == 'true') {
                                        echo "notification error";
                                    }
                                    error_log("Error in notification $sql", 0);
                                    $message = "Could not create entry in table";
                                }
                                if ($log == "true") {
                                    echo "permit<br>";
                                }
                            } else {
                                if ($log == "true") {
                                    echo "ids not available success<br>";
                                }
                                $values['id'] = $gen;
                                if ($log == "true") {
                                    echo "$gen<br>";
                                }
                                permit();
                                if ($log == "true") {
                                    echo "permit<br>";
                                }
                            }
                        } else {
                            $message = "Could not add order";
                        }
                    } else {
                        $message = "Sorry, coupon quantity has finished";
                    }
                } else {
                    $message = "Coupon not found. Perhaps seller deleted gift card and hence no longer available.";
                }
            }
            if ($values['type'] == "sell") {
                $coupon = runSql("SELECT * FROM `CouponsSell` WHERE `CouponsSell`.`id` = '$values[couponId]'");
                if (mysqli_num_rows($coupon) > 0) {
                    $coupon = mysqli_fetch_assoc($coupon);
                    if ($coupon['currentQuantity'] < $coupon['quantity']) {
                        $sql = "UPDATE `CouponsSell` SET `currentQuantity` = currentQuantity+1 WHERE `CouponsSell`.`id` = '$values[couponId]'";
                        if ($conn->query($sql) === TRUE) {
                            $values['status'] = "Initiated";
                            $couponIds = runSql("SELECT id FROM `CouponsOrders`");
                            if ($log == "true") {
                                echo "sql success<br>";
                            }
                            $ids = array();
                            $head = "IZGC" . date("dm");
                            $num = 1111;
                            $gen = $head . $num;
                            if (mysqli_num_rows($couponIds) > 0) {
                                $x = 0;
                                while ($coupon = $couponIds->fetch_assoc()) {
                                    $ids[$x] = $coupon['id'];
                                    $x++;
                                }
                                while (in_array($gen, $ids)) {
                                    if ($log == "true") {
                                        echo "in ids<br>";
                                    }
                                    $num++;
                                    $gen = $head . $num;
                                    if ($log == "true") {
                                        echo "$gen<br>";
                                    }
                                }
                                $values['id'] = $gen;
                                myLog("Generated id $gen");
                                permit();
                                $title = "Coupon selling request";
                                $body = "Your \"" . $coupon['name'] . "\" of " . $coupon['denomination'] . " coupon got a selling request";
                                $authIds = runSql("SELECT authid, firebase_token FROM AuthIds WHERE `userId`='".$values['sellerId']."'");
                                if (mysqli_num_rows($authIds) > 0) {
                                    while($authId = $authIds->fetch_assoc()) {
                                        saveLog("sendTo authId: " . $authId['authid']);
                                        sendNotification($title, $body, ['location' => 'coupon', 'person' => 'dealer', 'type' => 'sell', 'id' => $gen],$authId['firebase_token']);
                                        if ($coupon['currentQuantity'] - $coupon['quantity'] == 1) {
                                            $title = "Coupon quantity finished";
                                            $body = "Your \"" . $coupon['name'] . "\" of " . $coupon['denomination'] . " coupon quantity is finished. Update quantity to recieve more orders.";
                                            saveLog("sendTo authId: " . $authId['authid']);
                                            sendNotification($title, $body, ['location' => 'coupon_main', 'person' => 'dealer', 'type' => 'sell', 'id' => $coupon['id']],$authId['firebase_token']);
                                        }
                                        myLog("Notification sent to ".$authId['authid']." with title '".$title."' and body '".$body."' and token ".$authId['firebase_token']);
                                    }
                                } else {
                                    $status = "fail";
                                    if ($log == 'true') {
                                        echo "notification error";
                                    }
                                    error_log("Error in notification $sql", 0);
                                    $message = "Could not create entry in table";
                                }
                                if ($log == "true") {
                                    echo "permit<br>";
                                }
                            } else {
                                if ($log == "true") {
                                    echo "ids not available success<br>";
                                }
                                $values['id'] = $gen;
                                if ($log == "true") {
                                    echo "$gen<br>";
                                }
                                permit();
                                if ($log == "true") {
                                    echo "permit<br>";
                                }
                            }
                        } else {
                            $message = "Could not add order";
                        }
                    } else {
                        $message = "Sorry, coupon quantity has finished";
                    }
                } else {
                    $message = "Coupon not found. Perhaps seller deleted coupon and hence no longer available.";
                }
            }
        }
        if ($command == 'update') {
            $coupon = runSql("SELECT * FROM `CouponsOrders` WHERE `CouponsOrders`.`id` = '$id'");
            if ($coupon && mysqli_num_rows($coupon) > 0) {
                $coupon = mysqli_fetch_assoc($coupon);
                if ($coupon['type'] == 'buy') {
                    global $couponDeal;
                    $couponDeal = runSql("SELECT * FROM `Coupons` WHERE `Coupons`.`id` = '$coupon[couponId]'")->fetch_assoc();
                } else {
                    global $couponDeal;
                    $couponDeal = runSql("SELECT * FROM `CouponsSell` WHERE `CouponsSell`.`id` = '$giftCard[giftCardId]'")->fetch_assoc();
                }
                if ($coupon['userId'] == $userId && (($values['status'] == "Awaiting Payment Confirmation" && $coupon['type'] == 'buy') || ($values['status'] == "Awaiting Payment" && $coupon['type'] == 'sell') || ($values['status'] == "Completed" && $coupon['type'] == 'sell'))) {
                    permit();
                    $authIds = runSql("SELECT authid, firebase_token FROM AuthIds WHERE `userId`='".$coupon['sellerId']."'");
                    $title = "";
                    $body = "";
                    if ($values['status'] == "Awaiting Payment Confirmation") {
                        $title = "Coupon payment received";
                        $body = "Verify payment for ".$couponDeal['name']." worth ".$coupon['denomination']." and share voucher code with customer";
                        if ($coupon['status'] == "In Dispute") {
                            $title = "User replied to Coupon deal dispute";
                            $body = $couponDeal['name']." worth ".$coupon['denomination'].". Client reply: ".$values['disputeBuyer'];
                        }
                    } elseif ($values['status'] == "Awaiting Payment") {
                        $title = "Coupon voucher code shared";
                        $body = "Complete payment for ".$couponDeal['name']." worth ".$coupon['denomination']." and mark paid";
                    } elseif ($values['status'] == "Completed") {
                        $title = "Coupon order completed";
                        $body = "Coupon ".$couponDeal['name']." worth ".$coupon['denomination']." buying order completed";
                    }
                    if (mysqli_num_rows($authIds) > 0) {
                        while($authId = $authIds->fetch_assoc()) {
                            saveLog("sendTo authId: " . $authId['authid']);
                            sendNotification($title, $body, ['location' => 'coupon', 'person' => 'dealer', 'type' => $coupon['type'], 'id' => $coupon['id']],$authId['firebase_token']);
                            myLog("Notification sent to ".$authId['authid']." with title '".$title."' and body '".$body."' and token ".$coupon['firebase_token']);
                        }
                    } else {
                        $status = "fail";
                        if ($log == 'true') {
                            echo "notification error";
                            error_log("Error in notification $sql", 0);
                        }
                        $message = "Could not create entry in table";
                    }
                } else {
                    $message = "Something went wrong";
                }
                if ($coupon['sellerId'] == $userId) {
                    permit();
                    if ($values['status'] == "Accepted deal" || $values['status'] == "Awaiting Payment" || $values['status'] == "Declined" || $values['status'] == "Awaiting Payment Confirmation" || $values['status'] == "Code Shared" || $values['status'] == "Completed" || $values['status'] == "In Dispute") {
                        $authIds = runSql("SELECT authid, firebase_token FROM AuthIds WHERE `userId`='" . $coupon['userId'] . "'");
                        $title = "";
                        $body = "";
                        if ($values['status'] == "Awaiting Payment") {
                            $title = "Coupon deal available";
                            if ($coupon['type'] == 'buy') {
                                $body = "The coupon, \"" . $couponDeal['name'] . "\", deal is available. Complete your payment to continue.";
                            }
                        } elseif ($values['status'] == "Accepted deal") {
                            if ($coupon['type'] == 'sell') {
                                $body = "The coupon, \"" . $couponDeal['name'] . "\", deal is available. Share your voucher code to continue.";
                            }
                        } elseif ($values['status'] == "Declined") {
                            $title = "Coupon order declined";
                            $body = "The coupon, \"" . $couponDeal['name'] . "\", you requested to " . $coupon['type'] . " is out of stock.";
                        } elseif ($values['status'] == "Awaiting Payment Confirmation") {
                            if ($coupon['type'] == 'buy') {
                                $title = "Coupon awaiting payment confirmation";
                                $body = "Dealer sent payment for coupon \"" . $couponDeal['name'] . "\" to your bank. Verify and confirm payment.";
                            } else {
                                $title = "Coupon payment done";
                                $body = "Payment for coupon \"" . $couponDeal['name'] . "\" is done. Confirm payment.";
                            }
                        } elseif ($values['status'] == "Code Shared") {
                            if ($giftCard['type'] == 'buy') {
                                $title = "Gift card code shared";
                                $body = "Dealer shared voucher code for gift card \"" . $giftCardDeal['name'] . "\" to you.";
                            }
                        } elseif ($values['status'] == "Completed") {
                            $title = "Coupon order completed";
                            $body = "The coupon order for \"" . $couponDeal['name'] . "\" completed. Dealer shared your voucher code.";
                        } elseif ($values['status'] == "In Dispute") {
                            $title = "Coupon order in dispute";
                            $body = "The coupon order for \"" . $couponDeal['name'] . "\" is in dispute. Resolve the dispute to complete order.";
                        }
                        if (mysqli_num_rows($authIds) > 0) {
                            while ($authId = $authIds->fetch_assoc()) {
                                saveLog("sendTo authId: " . $authId['authid']);
                                sendNotification($title, $body, ['location' => 'coupon', 'person' => 'client', 'type' => $coupon['type'], 'id' => $coupon['id']], $authId['firebase_token']);
                                myLog("Notification sent to " . $authId['authid'] . " with title '" . $title . "' and body '" . $body . "' and token " . $authId['firebase_token']);
                            }
                        } else {
                            $status = "fail";
                            myLog("Error in notification");
                            $message = "Could not create entry in table";
                        }
                    }
                } else {
                    $message = "Could not find order details to update order";
                }
                if ($admin) {
                    permit();
                }
            }
        }
        if ($command == 'delete') {
            $order = runSql("SELECT * FROM `CouponsOrders` WHERE `CouponsOrders`.`id` = '$id'");
            if (mysqli_num_rows($order) > 0) {
                $row = mysqli_fetch_assoc($order);
                if ($row['userId'] == $userId) {
                    $coupon = runSql("SELECT * FROM `Coupons` WHERE `Coupons`.`id` = '$row[couponId]'");
                    if (mysqli_num_rows($coupon) > 0) {
                        $updateQuantity = runSql("UPDATE `Coupons` SET `currentQuantity` = currentQuantity-1 WHERE `Coupons`.`id` = '$row[couponId]'");
                        if ($updateQuantity === TRUE) {
                            permit();
                        } else {
                            $message = "Could not delete order";
                        }
                    } else {
                        permit();
                    }
                } else {
                    $message = "Order belongs with another user";
                }
            } else {
                $message = "Could not find order details to update order";
            }
            if ($admin == true) {
                permit();
            }
        }
        if ($type == 'collection') {
            if ($where == "userId" && $whereValue == $userId) {
                permit();
            }
            if ($where == "sellerId" && $whereValue == $userId) {
                permit();
            }
            if ($where == "couponId") {
                $order = runSql("SELECT sellerId FROM `CouponsOrders` WHERE `CouponsOrders`.`couponId` = '$whereValue'");
                if (mysqli_num_rows($order) > 0) {
                    $row = mysqli_fetch_assoc($order);
                    if ($row['sellerId'] == $userId) {
                        permit();
                    }
                }
            }
            if ($admin) {
                permit();
            }
        }
        if ($command == 'get') {
            $order = runSql("SELECT * FROM `CouponsOrders` WHERE `CouponsOrders`.`id` = '$id'");
            if (mysqli_num_rows($order) > 0) {
                $row = mysqli_fetch_assoc($order);
                if ($row['userId'] == $userId) {
                    permit();
                } else if ($row['sellerId'] == $userId) {
                    permit();
                } else {
                    $message = "Order belongs with another user";
                }
            } else {
                $message = "Could not find order details to update order";
            }
            if ($admin == true) {
                permit();
            }
        }
    }
}
if ($location == 'CouponsSell') {
    if ($config) {
        if ($command == 'add') {
            if ($dealer) {
                permit();
            }
            if ($admin) {
                permit();
            }
        }
        if ($command == 'increment') {
            if ($dealer) {
                $sql = "SELECT * FROM `CouponsSell` WHERE `CouponsSell`.`id` = '$id'";
                if (mysqli_num_rows($conn->query($sql)) > 0) {
                    $row = mysqli_fetch_assoc($conn->query($sql));
                    if ($row['userId'] == $userId) {
                        permit();
                    } else {
                        $message = "Coupon belongs with another seller";
                    }
                } else {
                    $message = "Could not find coupon details to update coupon";
                }
                permit();
            }
            if ($admin == true) {
                permit();
            }
        }
        if ($command == 'update') {
            if ($dealer == true) {
                $sql = "SELECT * FROM `CouponsSell` WHERE `CouponsSell`.`id` = '$id'";
                if (mysqli_num_rows($conn->query($sql)) > 0) {
                    $row = mysqli_fetch_assoc($conn->query($sql));
                    if ($row['userId'] == $userId) {
                        permit();
                    } else {
                        $message = "Coupon belongs with another seller";
                    }
                } else {
                    $message = "Could not find coupon details to update coupon";
                }
                permit();
            }
            if ($admin == true) {
                permit();
            }
        }
        if ($command == 'delete') {
            if ($dealer == true) {
                $sql = "SELECT * FROM `CouponsSell` WHERE `CouponsSell`.`id` = '$id'";
                if (mysqli_num_rows($conn->query($sql)) > 0) {
                    $row = mysqli_fetch_assoc($conn->query($sql));
                    if ($row['userId'] == $userId) {
                        permit();
                    } else {
                        $message = "Coupon belongs with another seller";
                    }
                } else {
                    $message = "Could not find coupon details to update coupon";
                }
                permit();
            }
            if ($admin == true) {
                permit();
            }
        }
    }
    if ($type == 'collection') {
        permit();
    }
    if ($command == 'get') {
        permit();
    }
}
if ($location == 'Creditors') {
    if ($config == true) {
        if ($command == 'add') {
            if ($admin == true) {
                permit();
            }
        }
        if ($command == 'increment') {
            if ($admin == true) {
                permit();
            }
        }
        if ($command == 'update') {
            if ($admin == true) {
                permit();
            }
        }
        if ($command == 'delete') {
            if ($admin == true) {
                permit();
            }
        }
    }
    if ($type == 'collection') {
        if ($admin == true) {
            permit();
        }
    }
    if ($command == 'get') {
        if ($admin == true) {
            permit();
        }
    }
}
if ($location == 'Credits') {
    if ($config == true) {
        if ($command == 'add') {
            if ($admin == true) {
                permit();
                if ($log == "true") {
                    echo "permitted<br>";
                }
            }
        }
        if ($command == 'increment') {
            if ($admin == true) {
                permit();
            }
        }
        if ($command == 'update') {
            if ($admin == true) {
                permit();
            }
        }
        if ($command == 'delete') {
            if ($admin == true) {
                permit();
            }
        }
    }
    if ($type == 'collection') {
        if ($admin == true) {
            permit();
        }
    }
    if ($command == 'get') {
        if ($admin == true) {
            permit();
        }
    }
}
if ($location == 'Deals') {
    if ($config) {
        if ($command == 'add') {
            if ($admin == true) {
                permit();
                //sendToAll("New deal available", "Buying request for ".$values['name']." - ".$values['card']." @".$values['commission'].".", ["location" => 'card_deal', "id" => $values['id']]);
            }
        }
        if ($command == 'increment') {
            if ($admin) {
                permit();
            }
        }
        if ($command == 'update') {
            if ($admin == true) {
                permit();
            }
        }
        if ($command == 'delete') {
            if ($admin == true) {
                permit();
            }
        }
    }
    if ($type == 'collection') {
        if ($admin == true) {
            permit();
        } else {
            if ($where == "all" || $where == "") {
                $additional = "WHERE visible = 'true'";
            } else {
                $additional = "AND visible = 'true'";
            }
            permit();
        }
    }
    if ($command == 'get') {
        permit();
    }
}
if ($location == 'GiftCards') {
    if ($config) {
        if ($command == 'add') {
            if ($dealer == true) {
                permit();
            }
            if ($admin == true) {
                permit();
            }
        }
        if ($command == 'increment') {
            if ($dealer == true) {
                $sql = "SELECT * FROM `GiftCards` WHERE `GiftCards`.`id` = '$id'";
                if (mysqli_num_rows($conn->query($sql)) > 0) {
                    $row = mysqli_fetch_assoc($conn->query($sql));
                    if ($row['userId'] == $userId) {
                        permit();
                    } else {
                        $message = "Gift Card belongs with another seller";
                    }
                } else {
                    $message = "Could not find gift card details to update gift card";
                }
                permit();
            }
            if ($admin == true) {
                permit();
            }
        }
        if ($command == 'update') {
            if ($dealer == true) {
                $sql = "SELECT * FROM `GiftCards` WHERE `GiftCards`.`id` = '$id'";
                if (mysqli_num_rows($conn->query($sql)) > 0) {
                    $row = mysqli_fetch_assoc($conn->query($sql));
                    if ($row['userId'] == $userId) {
                        permit();
                    } else {
                        $message = "Gift Card belongs with another seller";
                    }
                } else {
                    $message = "Could not find gift card details to update gift card";
                }
                permit();
            }
            if ($admin == true) {
                permit();
            }
        }
        if ($command == 'delete') {
            if ($dealer == true) {
                $sql = "SELECT * FROM `GiftCards` WHERE `GiftCards`.`id` = '$id'";
                if (mysqli_num_rows($conn->query($sql)) > 0) {
                    $row = mysqli_fetch_assoc($conn->query($sql));
                    if ($row['userId'] == $userId) {
                        permit();
                    } else {
                        $message = "Gift Card belongs with another seller";
                    }
                } else {
                    $message = "Could not find gift card details to update gift card";
                }
                permit();
            }
            if ($admin == true) {
                permit();
            }
        }
    }
    if ($type == 'collection') {
        permit();
        if (!$admin) {
            if ($where == 'all') {
                $additional .= " WHERE";
            } else {
                $additional .= " AND";
            }
            if (!$dealer) {
                $additional .= " (`currentQuantity` != 'quantity' AND `enabled` = 'true')";
            } else {
                $additional .= " ((`currentQuantity` != 'quantity' AND `enabled` = 'true') OR `userId` = '$userId')";
            }
        }
    }
    if ($command == 'get') {
        permit();
    }
}
if ($location == 'GiftCardsNames') {
    if ($config == true) {
        if ($command == 'add') {
            if ($admin == true) {
                permit();
            }
        }
        if ($command == 'update') {
            if ($admin == true) {
                permit();
            }
        }
        if ($command == 'delete') {
            if ($admin == true) {
                permit();
            }
        }
        if ($type == 'collection') {
            if ($admin == true) {
                permit();
            }
        }
        if ($command == 'get') {
            permit();
        }
    }
}
if ($location == 'GiftCardsOrders') {
    if ($config) {
        if ($command == 'add') {
            if ($values['type'] == "buy") {
                $giftCard = runSql("SELECT * FROM `GiftCards` WHERE `GiftCards`.`id` = '".$values['giftCardId']."'");
                if (mysqli_num_rows($giftCard) > 0) {
                    $giftCard = mysqli_fetch_assoc($giftCard);
                    if ($giftCard['currentQuantity'] < $giftCard['quantity']) {
                        $sql = "UPDATE `GiftCards` SET `currentQuantity` = currentQuantity+1 WHERE `GiftCards`.`id` = '$values[giftCardId]'";
                        if ($log == "true") {
                            echo "$sql<br>";
                        }
                        if ($conn->query($sql) === TRUE) {
                            if ($log == "true") {
                                echo "updated q<br>";
                            }
                            $values['status'] = "Initiated";
                            $sql = "SELECT id FROM `GiftCardsOrders`";
                            if ($log == "true") {
                                echo "$sql<br>";
                            }
                            $idsResult = mysqli_query($conn, $sql);
                            if ($log == "true") {
                                echo "sql success<br>";
                            }
                            $ids = array();
                            $head = "IZGC" . date("dm");
                            $num = 1111;
                            $gen = $head . $num;
                            if (mysqli_num_rows($idsResult) > 0) {
                                if ($log == "true") {
                                    echo "ids available success haha<br>";
                                }
                                $x = 0;
                                while ($row = $idsResult->fetch_assoc()) {
                                    $ids[$x] = $row['id'];
                                    if ($log == "true") {
                                        echo "$row[id]<br>";
                                    }
                                    $x++;
                                }
                                if ($log == "true") {
                                    echo "$gen and ids is $ids<br>";
                                    echo json_encode($ids);
                                    echo "<br>";
                                }
                                while (in_array($gen, $ids)) {
                                    if ($log == "true") {
                                        echo "in ids<br>";
                                    }
                                    $num++;
                                    $gen = $head . $num;
                                    if ($log == "true") {
                                        echo "$gen<br>";
                                    }
                                }
                                $values['id'] = $gen;
                                if ($log == "true") {
                                    echo "$gen<br>";
                                }
                                permit();
                                $title = "Gift card buying request";
                                $body = "Your \"" . $giftCard['name'] . "\" of " . $giftCard['denomination'] . " gift card got a buying request";
                                $sql = "SELECT authid, firebase_token FROM AuthIds WHERE `userId`='".$values['sellerId']."'";
                                $authIds = $conn->query($sql);
                                if (mysqli_num_rows($authIds) > 0) {
                                    while($authId = $authIds->fetch_assoc()) {
                                        saveLog("sendTo authId: " . $authId['authid']);
                                        sendNotification($title, $body, ['location' => 'giftcard', 'person' => 'dealer', 'type' => 'buy', 'id' => $gen],$authId['firebase_token']);
                                        if ($giftCard['currentQuantity'] - $giftCard['quantity'] == 1) {
                                            $title = "Gift card quantity finished";
                                            $body = "Your \"" . $giftCard['name'] . "\" of " . $giftCard['denomination'] . " gift card quantity is finished. Update quantity to recieve more orders.";
                                            saveLog("sendTo authId: " . $authId['authid']);
                                            sendNotification($title, $body, ['location' => 'giftcard_main', 'person' => 'dealer', 'type' => 'buy', 'id' => $giftCard['id']],$authId['firebase_token']);
                                        }
                                        myLog("Notification sent to ".$authId['authid']." with title '".$title."' and body '".$body."' and token ".$authId['firebase_token']);
                                    }
                                } else {
                                    $status = "fail";
                                    if ($log == 'true') {
                                        echo "notification error";
                                    }
                                    error_log("Error in notification $sql", 0);
                                    $message = "Could not create entry in table";
                                }
                                if ($log == "true") {
                                    echo "permit<br>";
                                }
                            } else {
                                if ($log == "true") {
                                    echo "ids not available success<br>";
                                }
                                $values['id'] = $gen;
                                if ($log == "true") {
                                    echo "$gen<br>";
                                }
                                permit();
                                if ($log == "true") {
                                    echo "permit<br>";
                                }
                            }
                        } else {
                            $message = "Could not add order";
                        }
                    } else {
                        $message = "Sorry, gift card quantity has finished";
                    }
                } else {
                    $message = "Gift Card not found. Perhaps seller deleted gift card and hence no longer available.";
                }
            }
            if ($values['type'] == "sell") {
                $giftCard = runSql("SELECT * FROM `GiftCardsSell` WHERE `GiftCardsSell`.`id` = '$values[giftCardId]'");
                if (mysqli_num_rows($giftCard) > 0) {
                    $giftCard = mysqli_fetch_assoc($giftCard);
                    if ($giftCard['currentQuantity'] < $giftCard['quantity']) {
                        $sql = "UPDATE `GiftCardsSell` SET `currentQuantity` = currentQuantity+1 WHERE `GiftCardsSell`.`id` = '$values[giftCardId]'";
                        if ($conn->query($sql) === TRUE) {
                            $values['status'] = "Initiated";
                            $giftCardIds = runSql("SELECT id FROM `GiftCardsOrders`");
                            if ($log == "true") {
                                echo "sql success<br>";
                            }
                            $ids = array();
                            $head = "IZGC" . date("dm");
                            $num = 1111;
                            $gen = $head . $num;
                            if (mysqli_num_rows($giftCardIds) > 0) {
                                $x = 0;
                                while ($row = $giftCardIds->fetch_assoc()) {
                                    $ids[$x] = $row['id'];
                                    $x++;
                                }
                                while (in_array($gen, $ids)) {
                                    if ($log == "true") {
                                        echo "in ids<br>";
                                    }
                                    $num++;
                                    $gen = $head . $num;
                                    if ($log == "true") {
                                        echo "$gen<br>";
                                    }
                                }
                                $values['id'] = $gen;
                                myLog("Generated id $gen");
                                permit();
                                $title = "Gift card selling request";
                                $body = "Your \"" . $giftCard['name'] . "\" of " . $giftCard['denomination'] . " gift card got a selling request";
                                $authIds = runSql("SELECT authid, firebase_token FROM AuthIds WHERE `userId`='".$values['sellerId']."'");
                                if (mysqli_num_rows($authIds) > 0) {
                                    while($authId = $authIds->fetch_assoc()) {
                                        saveLog("sendTo authId: " . $authId['authid']);
                                        sendNotification($title, $body, ['location' => 'giftcard', 'person' => 'dealer', 'type' => 'sell', 'id' => $gen],$authId['firebase_token']);
                                        if ($giftCard['currentQuantity'] - $giftCard['quantity'] == 1) {
                                            $title = "Gift card quantity finished";
                                            $body = "Your \"" . $giftCard['name'] . "\" of " . $giftCard['denomination'] . " gift card quantity is finished. Update quantity to recieve more orders.";
                                            saveLog("sendTo authId: " . $authId['authid']);
                                            sendNotification($title, $body, ['location' => 'giftcard_main', 'person' => 'dealer', 'type' => 'sell', 'id' => $giftCard['id']],$authId['firebase_token']);
                                        }
                                        myLog("Notification sent to ".$authId['authid']." with title '".$title."' and body '".$body."' and token ".$authId['firebase_token']);
                                    }
                                } else {
                                    $status = "fail";
                                    if ($log == 'true') {
                                        echo "notification error";
                                    }
                                    error_log("Error in notification $sql", 0);
                                    $message = "Could not create entry in table";
                                }
                                if ($log == "true") {
                                    echo "permit<br>";
                                }
                            } else {
                                if ($log == "true") {
                                    echo "ids not available success<br>";
                                }
                                $values['id'] = $gen;
                                if ($log == "true") {
                                    echo "$gen<br>";
                                }
                                permit();
                                if ($log == "true") {
                                    echo "permit<br>";
                                }
                            }
                        } else {
                            $message = "Could not add order";
                        }
                    } else {
                        $message = "Sorry, gift card quantity has finished";
                    }
                } else {
                    $message = "Gift Card not found. Perhaps seller deleted gift card and hence no longer available.";
                }
            }
        }
        if ($command == 'update') {
            $giftCard = runSql("SELECT * FROM `GiftCardsOrders` WHERE `GiftCardsOrders`.`id` = '$id'");
            if ($giftCard && mysqli_num_rows($giftCard) > 0) {
                $giftCard = mysqli_fetch_assoc($giftCard);
                if ($giftCard['type'] == 'buy') {
                    global $giftCardDeal;
                    $giftCardDeal = runSql("SELECT * FROM `GiftCards` WHERE `GiftCards`.`id` = '$giftCard[giftCardId]'")->fetch_assoc();
                } else {
                    global $giftCardDeal;
                    $giftCardDeal = runSql("SELECT * FROM `GiftCardsSell` WHERE `GiftCardsSell`.`id` = '$giftCard[giftCardId]'")->fetch_assoc();
                }
                if ($admin) {
                    permit();
                }
                if ($giftCard['sellerId'] == $userId) {
                    permit();
                    if ($values['status'] == "Accepted deal" || $values['status'] == "Awaiting Payment" || $values['status'] == "Declined" || $values['status'] == "Awaiting Payment Confirmation" || $values['status'] == "Code Shared" || $values['status'] == "Completed" || $values['status'] == "In Dispute") {
                        $authIds = runSql("SELECT authid, firebase_token FROM AuthIds WHERE `userId`='" . $giftCard['userId'] . "'");
                        $title = "";
                        $body = "";
                        if ($values['status'] == "Awaiting Payment") {
                            $title = "Gift card deal available";
                            if ($giftCard['type'] == 'buy') {
                                $body = "The gift card, \"" . $giftCardDeal['name'] . "\", deal is available. Complete your payment to continue.";
                            }
                        } elseif ($values['status'] == "Accepted deal") {
                            if ($giftCard['type'] == 'sell') {
                                $body = "The gift card, \"" . $giftCardDeal['name'] . "\", deal is available. Share your voucher code to continue.";
                            }
                        } elseif ($values['status'] == "Declined") {
                            $title = "Gift card order declined";
                            $body = "The gift card, \"" . $giftCardDeal['name'] . "\", you requested to " . $giftCard['type'] . " is out of stock.";
                        } elseif ($values['status'] == "Awaiting Payment Confirmation") {
                            if ($giftCard['type'] == 'buy') {
                                $title = "Gift card awaiting payment confirmation";
                                $body = "Dealer sent payment for gift card \"" . $giftCardDeal['name'] . "\" to your bank. Verify and confirm payment.";
                            } else {
                                $title = "Gift card payment done";
                                $body = "Payment for gift card \"" . $giftCardDeal['name'] . "\" is done. Confirm payment.";
                            }
                        } elseif ($values['status'] == "Code Shared") {
                            if ($giftCard['type'] == 'buy') {
                                $title = "Gift card code shared";
                                $body = "Dealer shared voucher code for gift card \"" . $giftCardDeal['name'] . "\" to you.";
                            }
                        } elseif ($values['status'] == "Completed") {
                            $title = "Gift card order completed";
                            $body = "The gift card order for \"" . $giftCardDeal['name'] . "\" completed. Dealer shared your voucher code.";
                        } elseif ($values['status'] == "In Dispute") {
                            $title = "Gift card order in dispute";
                            $body = "The gift card order for \"" . $giftCardDeal['name'] . "\" is in dispute. Resolve the dispute to complete order.";
                        }
                        if (mysqli_num_rows($authIds) > 0) {
                            while ($authId = $authIds->fetch_assoc()) {
                                saveLog("sendTo authId: " . $authId['authid']);
                                sendNotification($title, $body, ['location' => 'giftcard', 'person' => 'client', 'type' => $giftCard['type'], 'id' => $giftCard['id']], $authId['firebase_token']);
                                myLog("Notification sent to " . $authId['authid'] . " with title '" . $title . "' and body '" . $body . "' and token " . $authId['firebase_token']);
                            }
                        } else {
                            $status = "fail";
                            myLog("Error in notification");
                            $message = "Could not create entry in table";
                        }
                    }
                } else {
                    $message = "Could not find order details to update order";
                }
                if ($giftCard['userId'] == $userId && (($values['status'] == "Awaiting Payment Confirmation" && $giftCard['type'] == 'buy') || ($values['status'] == "Awaiting Payment" && $giftCard['type'] == 'sell') || ($values['status'] == "Completed" && $giftCard['type'] == 'sell'))) {
                    permit();
                    $authIds = runSql("SELECT authid, firebase_token FROM AuthIds WHERE `userId`='".$giftCard['sellerId']."'");
                    $title = "";
                    $body = "";
                    if ($values['status'] == "Awaiting Payment Confirmation") {
                        $title = "Gift card payment received";
                        $body = "Verify payment for ".$giftCardDeal['name']." worth ".$giftCard['denomination']." and share voucher code with customer";
                        if ($giftCard['status'] == "In Dispute") {
                            $title = "User replied to Gift card deal dispute";
                            $body = $giftCardDeal['name']." worth ".$giftCard['denomination'].". Client reply: ".$values['disputeBuyer'];
                        }
                    } elseif ($values['status'] == "Awaiting Payment") {
                        $title = "Gift card voucher code shared";
                        $body = "Complete payment for ".$giftCardDeal['name']." worth ".$giftCard['denomination']." and mark paid";
                    } elseif ($values['status'] == "Completed") {
                        $title = "Gift card order completed";
                        $body = "Gift card ".$giftCardDeal['name']." worth ".$giftCard['denomination']." buying order completed";
                    }
                    if (mysqli_num_rows($authIds) > 0) {
                        while($authId = $authIds->fetch_assoc()) {
                            saveLog("sendTo authId: " . $authId['authid']);
                            sendNotification($title, $body, ['location' => 'giftcard', 'person' => 'dealer', 'type' => $giftCard['type'], 'id' => $giftCard['id']],$authId['firebase_token']);
                            myLog("Notification sent to ".$authId['authid']." with title '".$title."' and body '".$body."' and token ".$giftCard['firebase_token']);
                        }
                    } else {
                        $status = "fail";
                        if ($log == 'true') {
                            echo "notification error";
                            error_log("Error in notification $sql", 0);
                        }
                        $message = "Could not create entry in table";
                    }
                } else {
                    $message = "Something went wrong";
                }
            }
        }
        if ($command == 'delete') {
            $sql = "SELECT * FROM `GiftCardsOrders` WHERE `GiftCardsOrders`.`id` = '$id'";
            if (mysqli_num_rows($conn->query($sql)) > 0) {
                $row = mysqli_fetch_assoc($conn->query($sql));
                if ($row['userId'] == $userId) {
                    $sql = "SELECT * FROM `GiftCards` WHERE `GiftCards`.`id` = '$row[giftCardId]'";
                    if (mysqli_num_rows($conn->query($sql)) > 0) {
                        $sql = "UPDATE `Coupons` SET `currentQuantity` = currentQuantity-1 WHERE `Coupons`.`id` = '$row[giftCardId]'";
                        if ($conn->query($sql) === TRUE) {
                            permit();
                        } else {
                            $message = "Could not delete order";
                        }
                    } else {
                        permit();
                    }
                } else {
                    $message = "Order belongs with another user";
                }
            } else {
                $message = "Could not find order details to update order";
            }
            if ($admin == true) {
                permit();
            }
        }
        if ($type == 'collection') {
            if ($where == "userId" && $whereValue == $userId) {
                permit();
            }
            if ($where == "sellerId" && $whereValue == $userId) {
                permit();
            }
            if ($where == "giftCardId") {
                $sql = "SELECT sellerId FROM `GiftCardsOrders` WHERE `GiftCardsOrders`.`giftCardId` = '$whereValue'";
                if (mysqli_num_rows($conn->query($sql)) > 0) {
                    $row = mysqli_fetch_assoc($conn->query($sql));
                    if ($row['sellerId'] == $userId) {
                        permit();
                    }
                }
            }
            if ($admin == true) {
                permit();
            }
        }
        if ($command == 'get') {
            $sql = "SELECT * FROM `GiftCardsOrders` WHERE `GiftCardsOrders`.`id` = '$id'";
            if (mysqli_num_rows($conn->query($sql)) > 0) {
                $row = mysqli_fetch_assoc($conn->query($sql));
                if ($row['userId'] == $userId) {
                    permit();
                } else if ($row['sellerId'] == $userId) {
                    permit();
                } else {
                    $message = "Order belongs with another user";
                }
            } else {
                $message = "Could not find order details to update order";
            }
            if ($admin == true) {
                permit();
            }
        }
    }
}
if ($location == 'GiftCardsSell') {
    if ($config) {
        if ($command == 'add') {
            if ($dealer) {
                permit();
            }
            if ($admin == true) {
                permit();
            }
        }
        if ($command == 'increment') {
            if ($dealer == true) {
                $sql = "SELECT * FROM `GiftCardsSell` WHERE `GiftCardsSell`.`id` = '$id'";
                if (mysqli_num_rows($conn->query($sql)) > 0) {
                    $row = mysqli_fetch_assoc($conn->query($sql));
                    if ($row['userId'] == $userId) {
                        permit();
                    } else {
                        $message = "Gift Card belongs with another seller";
                    }
                } else {
                    $message = "Could not find gift card details to update gift card";
                }
                permit();
            }
            if ($admin == true) {
                permit();
            }
        }
        if ($command == 'update') {
            if ($dealer == true) {
                $sql = "SELECT * FROM `GiftCardsSell` WHERE `GiftCardsSell`.`id` = '$id'";
                if (mysqli_num_rows($conn->query($sql)) > 0) {
                    $row = mysqli_fetch_assoc($conn->query($sql));
                    if ($row['userId'] == $userId) {
                        permit();
                    } else {
                        $message = "Gift Card belongs with another seller";
                    }
                } else {
                    $message = "Could not find gift card details to update gift card";
                }
                permit();
            }
            if ($admin == true) {
                permit();
            }
        }
        if ($command == 'delete') {
            if ($dealer == true) {
                $sql = "SELECT * FROM `GiftCardsSell` WHERE `GiftCardsSell`.`id` = '$id'";
                if (mysqli_num_rows($conn->query($sql)) > 0) {
                    $row = mysqli_fetch_assoc($conn->query($sql));
                    if ($row['userId'] == $userId) {
                        permit();
                    } else {
                        $message = "Gift Card belongs with another seller";
                    }
                } else {
                    $message = "Could not find gift card details to update gift card";
                }
                permit();
            }
            if ($admin == true) {
                permit();
            }
        }
    }
    if ($type == 'collection') {
        permit();
    }
    if ($command == 'get') {
        permit();
    }
}
if ($location == 'Initiator') {
    if ($command == 'get') {
        permit();
    }
}
if ($location == 'Instructions') {
    if ($config == true) {
        if ($command == 'add') {
            if ($admin == true) {
                permit();
            }
        }
        if ($command == 'update') {
            if ($admin == true) {
                permit();
            }
        }
        if ($command == 'delete') {
            if ($admin == true) {
                permit();
            }
        }
    }
    if ($type == 'collection') {
        if ($admin == true) {
            permit();
        }
    }
    if ($command == 'get') {
        permit();
    }
}
if ($location == 'Notifications') {
    if ($config == true) {
        if ($command == 'add') {
            if ($admin == true) {
                permit();
            }
        }
        if ($command == 'update') {
            if ($admin == true) {
                permit();
            }
        }
        if ($command == 'delete') {
            if ($admin == true) {
                permit();
            }
        }
    }
    if ($type == 'collection') {
        permit();
    }
    if ($command == 'get') {
        permit();
    }
}
if ($location == 'OfferDetails') {
    if ($config == true) {
        if ($command == 'add') {
            if ($admin == true) {
                permit();
            }
        }
        if ($command == 'update') {
            if ($admin == true) {
                permit();
            }
        }
        if ($command == 'delete') {
            if ($admin == true) {
                permit();
            }
        }
    }
    if ($type == 'collection') {
        permit();
    }
    if ($command == 'get') {
        permit();
    }
}
if ($location == 'Orders') {
    if ($config) {
        if ($command == 'add') {
            $deal = runSql("SELECT * FROM `Deals` WHERE `Deals`.`id` = '$values[dealId]'")->fetch_assoc();
            $getName = runSql("SELECT * FROM `Users` WHERE `Users`.`id` = '$userId'");
            $address = runSql("SELECT * FROM `Address` WHERE `Address`.`id` = '" . $deal['addressId'] . "'");
            if ($getName && $address) {
                $getName = $getName->fetch_assoc();
                $address = $address->fetch_assoc();
                if (substr($address['name_address'], 0, 6) == "bucket") {
                    $bucketId = substr($address['name_address'], 9);
                    $append = "";
                    if (strpos($address['name_address'], ',') !== false) {
                        $bucketId = substr($address['name_address'], 9, strpos($address['name_address'], ',') - 9);
                        $append = substr($address['name_address'], strpos($address['name_address'], ',') + 1);
                    }
                    $get_bucket = runSql("SELECT * FROM `Buckets` WHERE of = '$bucketId' ORDER BY RAND() LIMIT 0,1");
                    if (mysqli_num_rows($get_bucket) > 0) {
                        $row = $get_bucket->fetch_assoc();
                        $address['name_address'] = $row['value'] . $append;
                    } else {
                        $address['name_address'] = "Could not find value";
                    }
                }
                if (substr($address['line1'], 0, 6) == "bucket") {
                    $bucketId = substr($address['line1'], 9);
                    $append = "";
                    if (strpos($address['line1'], ',') !== false) {
                        $bucketId = substr($address['line1'], 9, strpos($address['line1'], ',') - 9);
                        $append = substr($address['line1'], strpos($address['line1'], ',') + 1);
                    }
                    $get_bucket = runSql("SELECT * FROM `Buckets` WHERE of = '$bucketId' ORDER BY RAND() LIMIT 0,1");
                    if (mysqli_num_rows($get_bucket) > 0) {
                        $row = $get_bucket->fetch_assoc();
                        $address['line1'] = $append . $row['value'];
                    } else {
                        $address['line1'] = "Could not find value";
                    }
                }
                if (substr($address['line2'], 0, 6) == "bucket") {
                    $bucketId = substr($address['line2'], 9);
                    $append = "";
                    if (strpos($address['line2'], ',') !== false) {
                        $bucketId = substr($address['line2'], 9, strpos($address['line2'], ',') - 9);
                        $append = substr($address['line2'], strpos($address['line2'], ',') + 1);
                    }
                    $get_bucket = runSql("SELECT * FROM `Buckets` WHERE of='$bucketId' ORDER BY RAND() LIMIT 0,1");
                    if (mysqli_num_rows($get_bucket) > 0) {
                        $row = $get_bucket->fetch_assoc();
                        $address['line2'] = $append . $row['value'];
                    } else {
                        $address['line2'] = "Could not find value";
                    }
                }
                if (substr($address['landmark'], 0, 6) == "bucket") {
                    $bucketId = substr($address['landmark'], 9);
                    $append = "";
                    if (strpos($address['landmark'], ',') !== false) {
                        $bucketId = substr($address['landmark'], 9, strpos($address['landmark'], ',') - 9);
                        $append = substr($address['landmark'], strpos($address['landmark'], ',') + 1);
                    }
                    $get_bucket = runSql("SELECT * FROM `Buckets` WHERE of='$bucketId' ORDER BY RAND() LIMIT 0,1");
                    if (mysqli_num_rows($get_bucket) > 0) {
                        $row = $get_bucket->fetch_assoc();
                        $address['landmark'] = $append . $row['value'];
                    } else {
                        $address['landmark'] = "Could not find value";
                    }
                }
                if (substr($address['phone'], 0, 6) == "bucket") {
                    $bucketId = substr($address['phone'], 9);
                    $append = "";
                    if (strpos($address['phone'], ',') !== false) {
                        $bucketId = substr($address['phone'], 9, strpos($address['phone'], ',') - 9);
                        $append = substr($address['phone'], strpos($address['phone'], ',') + 1);
                    }
                    $get_bucket = runSql("SELECT * FROM `Buckets` WHERE of='$bucketId' ORDER BY RAND() LIMIT 0,1");
                    if (mysqli_num_rows($get_bucket) > 0) {
                        $row = $get_bucket->fetch_assoc();
                        $address['phone'] = $append . $row['value'];
                    } else {
                        $address['phone'] = "Could not find value";
                    }
                }
                $values['status'] = "Initiated";
                $values['userName'] = $getName['firstName'] . ' ' . $getName['lastName'];
                $values['buyer'] = $address['name'];
                $values['name'] = $deal['name'];
                $values['service'] = $deal['service'];
                $values['type'] = $deal['type'];
                $values['card'] = $deal['card'];
                $values['actualPrice'] = $deal['actualPrice'];
                $values['orderPrice'] = $deal['price'];
                $values['commission'] = $deal['commission'];
                $values['cashback'] = $deal['cashback'];
                $toReceive = $deal['price'] - $deal['cashback'] + $deal['commission'];
                $values['toReceive'] = $toReceive;
                $values['sellingPrice'] = $deal['sellingPrice'];
                $values['addressName'] = $address['name_address'];
                $values['addressLine1'] = $address['line1'];
                $values['addressLine2'] = $address['line2'];
                $values['addressLandmark'] = $address['landmark'];
                $values['addressPhone'] = $address['phone'];
                $values['pincode'] = $address['pincode'];
                $number = 1111;
                $orders = runSql("SELECT * FROM `Orders`");
                $date = new DateTime();
                $timezone = new DateTimeZone('Asia/Kolkata');
                $date->setTimezone($timezone);
                $dateNow = substr($date->format('Ymd'), -6);
                $values['id'] = "IZ" . $dateNow . $number;
                $ids = array();
                foreach ($orders as $order) {
                    $ids[] = $order['id'];
                }
                while (in_array($values['id'], $ids)) {
                    $number++;
                    $values['id'] = "IZ" . $dateNow . $number;
                }
                $initiated = false;
                $orders = runSql("SELECT * FROM `Orders` WHERE `status` = 'Initiated'");
                if (mysqli_num_rows($orders) > 0) {
                    while ($order = $orders->fetch_assoc()) {
                        $dateNow = new DateTime();
                        $createdTime = new DateTime($order['createdTime']);
                        $interval = $dateNow->diff($createdTime);
                        myLog($interval->format('%Y years %m months %d days %h hours %i minutes'));
                        if (
                            $interval->format('%Y') > 1
                            || $interval->format('%m') > 1
                            || $interval->format('%d') > 1
                            || $interval->format('%h') > 1
                            || $interval->format('%i') > 40
                        ) {
                            myLog("exceeded initiated " . $order['id'] . " with " . $interval->format('%Y years %m months %d days %h hours %i minutes'));
                            runSql("UPDATE `Orders` SET `status` = 'Timed Out' WHERE `Orders`.`id` = '".$order['id']."'");
                            runSql("UPDATE `Deals` SET `currentQuantity` = currentQuantity - 1 WHERE `Deals`.`id` = '".$order['dealId']."'");
                        } elseif ($order['userId'] == $userId) {
                            $initiated = true;
                        }
                    }
                }
                $orders = runSql("SELECT * FROM `Orders` WHERE `status` = 'Timed Out'");
                if (mysqli_num_rows($orders) > 0) {
                    while ($order = $orders->fetch_assoc()) {
                        $dateNow = new DateTime();
                        $createdTime = new DateTime($order['createdTime']);
                        $interval = $dateNow->diff($createdTime);
                        myLog($interval->format('%Y years %m months %d days %h hours %i minutes'));
                        if (
                            $interval->format('%Y') > 1
                            || $interval->format('%m') > 1
                            || $interval->format('%d') > 1
                        ) {
                            myLog("exceeded timed out " . $order['id'] . " with " . $interval->format('%Y years %m months %d days %h hours %i minutes'));
                            runSql("DELETE FROM `Orders` WHERE `Orders`.`id` = '".$order['id']."'");
                        }
                    }
                }
                if ($initiated) {
                    $message = "Cannot initiate more than one order at a time.";
                } else {
                    if ($deal['currentQuantity'] < $deal['quantity']) {
                        $updateQuantity = runSql("UPDATE `Deals` SET `currentQuantity` = currentQuantity+1 WHERE `Deals`.`id` = '".$values['dealId']."'");
                        if ($updateQuantity) {
                            /**
                            if ($deal['quantity'] - $deal['currentQuantity'] == 4) {
                            sendToAll("New deal available", "Last 3 buying request left for ".$values['name'].".", ["location" => 'card_deal', "id" => $values['dealId']]);
                            }
                             **/
                            permit();
                        } else {
                            $message = "Could not add order";
                        }
                    } else {
                        $message = "Sorry, deal quantity has finished";
                    }
                }
            } else {
                $status = "fail";
                $message = "Deal id not found";
            }
        }
        if ($command == 'update') {
            $order = runSql("SELECT * FROM `Orders` WHERE `Orders`.`id` = '$id'");
            if (mysqli_num_rows($order) > 0) {
                $order = mysqli_fetch_assoc($order);
                if ($order['userId'] == $userId) {
                    if (
                        $values['status'] == "Ordered"
                        || $values['status'] == "Shipped"
                        || $values['status'] == "Out for Delivery"
                        || $values['status'] == "Delivery under confirmation"
                        || $values['status'] == "Timed Out"
                    ) {
                        if ($values['status'] == "Timed Out" && $order['status'] == "Timed Out") {
                            runSql("UPDATE `Deals` SET `currentQuantity` = currentQuantity - 1 WHERE `Deals`.`id` = '".$order['dealId']."'");
                        }
                        permit();
                    } else {
                        $message = "This type of status can only be updated to by admins";
                    }
                } else {
                    $message = "Order belongs to another user";
                }
            } else {
                $message = "Could not find order details to update order";
            }
            admin();
            if ($values['status'] == "Payment Released" && $admin) {
                $idzoId = $order['id'];
                $searchId = $order['userId'];
                $user = runSql("SELECT * FROM `Users` WHERE `Users`.`id` = '$searchId'")->fetch_assoc();
                $payment = runSql("SELECT * FROM `Payment` WHERE `Payment`.`id` = '$searchId'")->fetch_assoc();
                $addressName = $order['addressName'];
                $searchId = $order['buyer'];
                $address = runSql("SELECT * FROM `Address` WHERE `Address`.`name` = '$searchId'")->fetch_assoc();
                $userName = $order['userName'];
                $usernameValue = $user['username'];
                $productName = str_replace(","," ",$order['name']);
                $orderId = $order['orderId'];
                $commission = $order['commission'];
                $paidAmount = $order['toReceive'];
                $trackingId = $order['trackingId'];
                $accountId = $order['adminAccountId'];
                $account = "";
                if ($order['account'] == "own") {
                    $account = "own";
                } else {
                    $account = $accountId;
                }
                $service = $order['service'];
                $buyerName = $values['buyerName'];
                $soldPrice = $values['soldPrice'];
                $profit = (int)$soldPrice - (int)$paidAmount;
                $accountName = $payment['accountName'];
                $accountNumber = $payment['accountNumber'];
                $IFSC = $payment['IFSC'];
                $userIdValue = $order['userId'];
                $person = $address['owner'];
                $makeArchive = "INSERT INTO `Archive` (`id`, `userName`, `user`, `productName`, `orderId`, `commission`, `paidAmount`, `trackingId`, `account`, `service`, `buyerName`, `soldPrice`, `profit`, `holderName`, `accountNumber`, `IFSC`, `addressName`, `userId`) VALUES ('$idzoId', '$userName', '$usernameValue', '$productName', '$orderId', '$commission', '$paidAmount', '$trackingId', '$account', '$service', '$person', '$soldPrice', '$profit', '$accountName', '$accountNumber', '$IFSC', '$addressName', '$userIdValue');";
                if (runSql($makeArchive) === TRUE) {
                    if ($log == "true") {
                        echo "$sql success<br>";
                    }
                } else {
                    if ($log == "true") {
                        echo "$sql fail<br>";
                    }
                    $permission = "no";
                    $message = "archive fail";
                    error_log("$sql sql failed!", 0);
                }
                $makeCredit = "INSERT INTO `Credits` (`amount`, `type`, `remarks`, `person`, `profit`, `commission`, `personReceive`, `soldPrice`)  VALUES ('$paidAmount', 'debit', '$idzoId', '$person', '$profit', '$commission', '$usernameValue', '$soldPrice');";
                if (runSql($makeCredit) === TRUE) {
                    if ($log == "true") {
                        echo "$sql success<br>";
                    }
                } else {
                    if ($log == "true") {
                        echo "$sql fail<br>";
                    }
                    $permission = "no";
                    $message = "credit fail";
                    error_log("$sql sql failed!", 0);
                }
            }
        }
        if ($command == 'delete') {
            admin();
            $orderFind = runSql("SELECT * FROM `Orders` WHERE `Orders`.`id` = '$id'");
            if (mysqli_num_rows($orderFind) > 0) {
                $order = $orderFind->fetch_assoc();
                if ($permission == "yes" || $order['userId'] == $userId) {
                    $deal = runSql("SELECT * FROM `Deals` WHERE `Deals`.`id` = '".$order['dealId']."'");
                    $dealSize = mysqli_num_rows($deal);
                    $deal = $deal->fetch_assoc();
                    $status = $order['status'];
                    if ($status == "Payment Released") {
                        $name = $order['name'];
                        $offerId = $order['dealId'];
                        $id = $order['id'];
                        $account = $order['account'];
                        $adminAccountId = $order['adminAccountId'];
                        $commission = $order['commission'];
                        $orderPrice = $order['orderPrice'];
                        $orderId = $order['orderId'];
                        $received = $order['toReceive'];
                        $service = $order['service'];
                        $card = $order['card'];
                        $trackingId = $order['trackingId'];
                        $addressName = $order['addressName'];
                        $pincode = $order['pincode'];
                        $changeEarnings = "UPDATE `Users` SET `totalEarnings` = totalEarnings + $commission WHERE `Users`.`id` = '$userId'";
                        $addUserArchive = "INSERT INTO `UserArchive` (`name`, `offerId`, `id`, `account`, `adminAccountId`, `commission`, `orderPrice`, `orderId`, `received`, `service`, `card`, `trackingId`, `addressName`, `pincode`, `userId`) VALUES ('$name', '$offerId', '$id', '$account', '$adminAccountId', '$commission', '$orderPrice', '$orderId', '$received', '$service', '$card', '$trackingId', '$addressName', '$pincode', '".$order['userId']."')";
                        if(runSql($changeEarnings) && runSql($addUserArchive)) {
                            permit();
                        } else {
                            $message = "Could not update earnings";
                        }
                    } elseif ($dealSize > 0 && $status != "Timed Out") {
                        if(runSql("UPDATE `Deals` SET `currentQuantity` = currentQuantity - 1 WHERE `Deals`.`id` = '".$order['dealId']."'")) {
                            permit();
                        } else {
                            $message = "Could not delete order";
                        }
                    } else {
                        permit();
                    }
                } else {
                    $message = "Order does not belong with this account";
                }
            } else {
                $message = "Could not find order details to update order";
            }
            admin();
        }
        if ($type == 'collection') {
            permit();
            if ($where == "userId" && $whereValue == $userId) {
                //TODO: Need to remove this
                permit();
            }
            admin();
        }
        if ($command == 'get') {
            $sql = "SELECT * FROM `Orders` WHERE `Orders`.`id` = '$id'";
            if (mysqli_num_rows($conn->query($sql)) > 0) {
                $row = mysqli_fetch_assoc($conn->query($sql));
                if ($row['userId'] == $userId) {
                    permit();
                } else {
                    $message = "Order belongs with another user";
                }
            } else {
                $message = "Could not find order details to update order";
            }
            admin();
        }
    }
}
if ($location == 'Payment') {
    if ($config) {
        if ($command == 'add') {
            permit();
        }
        if ($command == 'update') {
            if ($id == $userId) {
                permit();
            } else {
                $message = "Payment belongs with another user";
            }
        }
        if ($command == 'delete') {
            $sql = "SELECT * FROM `Payment` WHERE `Payment`.`id` = '$id'";
            if (mysqli_num_rows($conn->query($sql)) > 0) {
                $row = mysqli_fetch_assoc($conn->query($sql));
                if ($row['userId'] == $userId) {
                    permit();
                } else {
                    $message = "Payment belongs with another user";
                }
            } else {
                $message = "Could not find order details to update order";
            }
            if ($admin == true) {
                permit();
            }
        }
        if ($type == 'collection') {
            if ($admin == true) {
                permit();
            }
        }
        if ($command == 'get') {
            $sql = "SELECT * FROM `Payment` WHERE `Payment`.`id` = '$id'";
            if (mysqli_num_rows($conn->query($sql)) > 0) {
                $row = mysqli_fetch_assoc($conn->query($sql));
                if ($row['panSecCode'] == "") {
                    if ($log == "true") {
                        $cccc = $row['panSecCode'];
                        echo "pan secret code $cccc";
                    }
                    $code = generateRandomString();
                    $sql = "UPDATE `Payment` SET `panSecCode` = '$code' WHERE `Payment`.`id` = '$id'";
                    if ($conn->query($sql) === TRUE) {
                        if ($log == "true") {
                            echo "pan secret code created<br>";
                        }
                    }
                }
            } else {
                $code = generateRandomString();
                runSql("INSERT INTO `Payment` (`id`, `accountName`, `accountNumber`, `IFSC`, `panSecCode`) VALUES ('$id', 'Not yet given.', 'Not yet given.', 'Not yet given.', '$code');");
            }
            admin();
            if ($id == $userId) {
                permit();
            } else {
                $message = "Payment belongs with another user";
            }
            if ($permission != "true") {
                if ($dealer) {
                    $giftCards = runSql("SELECT * FROM `GiftCardsOrders` WHERE `GiftCardsOrders`.`sellerId` = '$userId' AND `GiftCardsOrders`.`userId` = '$id' AND `GiftCardsOrders`.`type` = 'sell'");
                    $coupons = runSql("SELECT * FROM `CouponsOrders` WHERE `CouponsOrders`.`sellerId` = '$userId' AND `CouponsOrders`.`userId` = '$id' AND `CouponsOrders`.`type` = 'sell'");
                    if (mysqli_num_rows($giftCards) > 0 || mysqli_num_rows($coupons) > 0) {
                        permit();
                    } else {
                        $message = "Payment belongs with another user";
                    }
                } else {
                    $giftCards = runSql("SELECT * FROM `GiftCardsOrders` WHERE `GiftCardsOrders`.`userId` = '$userId' AND `GiftCardsOrders`.`sellerId` = '$id' AND `GiftCardsOrders`.`type` = 'buy'");
                    $coupons = runSql("SELECT * FROM `CouponsOrders` WHERE `CouponsOrders`.`userId` = '$userId' AND `CouponsOrders`.`sellerId` = '$id' AND `CouponsOrders`.`type` = 'buy'");
                    if (mysqli_num_rows($giftCards) > 0 || mysqli_num_rows($coupons) > 0) {
                        permit();
                    } else {
                        $message = "Payment belongs with another user";
                    }
                }
            }
        }
    }
}
if ($location == 'Public') {
    if ($command == 'get' && $type == 'document') {
        permit();
    }
}
if ($location == 'DealTemplates') {
    if ($log == "true") {
        echo "location DealTemplates";
    }
    if ($config == true) {
        if ($command == 'add') {
            if ($admin == true) {
                permit();
            }
        }
        if ($command == 'increment') {
            if ($admin == true) {
                permit();
            }
        }
        if ($command == 'update') {
            if ($admin == true) {
                permit();
            }
        }
        if ($command == 'delete') {
            if ($admin == true) {
                permit();
            }
        }
    }
    if ($type == 'collection') {
        if ($admin == true) {
            permit();
        }
    }
    if ($command == 'get') {
        if ($admin == true) {
            permit();
        }
    }
}
if ($location == 'UserArchive') {
    if ($config == true) {
        if ($command == 'add') {
            permit();
        }
        if ($command == 'delete') {
            $sql = "SELECT * FROM `UserArchive` WHERE `UserArchive`.`id` = '$id'";
            if (mysqli_num_rows($conn->query($sql)) > 0) {
                $row = mysqli_fetch_assoc($conn->query($sql));
                if ($row['userId'] == $userId) {
                    permit();
                } else {
                    $message = "Archive details belongs with another user";
                }
            } else {
                $message = "Could not find archive details to delete archive";
            }
            if ($admin == true) {
                permit();
            }
        }
        if ($command == 'get') {
            $sql = "SELECT * FROM `UserArchive` WHERE `UserArchive`.`id` = '$id'";
            if (mysqli_num_rows($conn->query($sql)) > 0) {
                $row = mysqli_fetch_assoc($conn->query($sql));
                if ($row['userId'] == $userId) {
                    permit();
                } else {
                    $message = "Archive details belongs with another user";
                }
            } else {
                $message = "Could not find archive details to get archive";
            }
            if ($admin == true) {
                permit();
            }
        }
        if ($type == 'collection') {
            if ($where == "userId" && $whereValue == $userId) {
                permit();
            }
            if ($admin == true) {
                permit();
            }
        }
    }
}
if ($location == 'Users') {
    if ($config == true) {
        if ($command == 'update') {
            if ($admin == true) {
                permit();
            }
            if ($id == $userId) {
                //fixes needed
                permit();
            }
        }
        if ($type == 'collection') {
            if ($admin == true) {
                permit();
            }
            if ($dealer == true) {
                $content = "admin, dealer, email, firstName, id, lastName, phone, totalEarnings, userId, username";
                permit();
            }
        }
    }
    if ($command == 'get') {
        $content = "admin, dealer, email, firstName, id, lastName, phone, totalEarnings, userId, username";
        permit();
    }
}